{ ... }@inputs:
let
  hardware = inputs.nixos-hardware.nixosModules;
in
{
  nunotaba = {
    system = "x86_64-linux";
    extraModules = [
      hardware.common-cpu-intel
      hardware.common-pc-ssd
    ];
  };
  sayuri = {
    system = "x86_64-linux";
    extraModules = [
      hardware.common-cpu-intel
      hardware.common-pc-ssd
    ];
  };
  vueko = {
    system = "x86_64-linux";
    extraModules = [
      "${inputs.infinisilSystem}/config/new-modules/murmur.nix"
    ];

    targetHost = "vueko.sbruder.de";
  };
  fuuko = {
    system = "x86_64-linux";
    extraModules = [
      hardware.common-cpu-intel
      hardware.common-pc-ssd
    ];

    targetHost = "fuuko.home.sbruder.de";
    unlockOverV4 = false; # gets slaac ipv6 address from router
  };
}
